import { Module } from '@nestjs/common'

import { ConfigService } from './config.interface'

@Module({
  providers: [
    {
      provide: ConfigService,
      useFactory: (): ConfigService => new ConfigService()
    }
  ],
  exports: [ ConfigService ]
})
export class ConfigModule {}
